<?php

namespace YSquare\Shipcloud\Application\Controller\Admin;

class ShipcloudPackageTemplate extends AdminController
{
    // phpcs:ignore PSR2.Classes.PropertyDeclaration.Underscore
    protected $_sThisTemplate = 'shipcloud_package_template.tpl';

    public function __construct()
    {
        parent::__construct('package_templates');
    }

    public function getPackageTemplates()
    {
        return $this->adminSettings->getSettings('package_templates');
    }

    public function getEmptyPackageTemplate()
    {
        return [
            'name'   => 'Neu',
            'width'  => '',
            'length' => '',
            'height' => '',
            'type'   => 'standard',
        ];
    }
}